% Mainprog - RadarMet_MieScatt_Simulator - v02
% Miee scattering of a spherical hydrometeor ensemble
%
% Matzler, 2002. Adapted by Marzano, 2010

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; close all
format compact;
addpath('./Mieroutines');

display('>>> RadarMet_MieScatt_Simulator - v02')

% Parametri di ingresso
fGHz =5;
TK =277;
R =10; 
distribution='MP';

% Parametri di Mie per una singola goccia d' acqua
nsteps =1001;
dD =0.05;
figure(1)
Mie_rain1 (fGHz , TK , nsteps , dD );

% Confronto con la teoria di Rayleigh
nsteps =51;
dD =0.05;
figure(2)
Mie_rain1r (fGHz , TK , nsteps , dD );

% Diagramma angolare della diffusione di Mie
m= sqrt ( epswater (fGHz , TK ));
nsteps =1001;
x =2.2;
figure(3)
Mie_tetascan (m, x, nsteps );

% Dipendenza radiale del campo elettrico quadratico medio
m= sqrt ( epswater (fGHz , TK ));
nj =1001; x =2.2;
figure(4)
Mie_esquare (m, x, nj );

% Coefficienti di Mie per nubi di gocce d' acqua
dD=0.2; Dmax=4; 
figure(5)
Mie_rain2(fGHz, R, TK, dD, Dmax, distribution);

% Coefficienti di propagazione di Mie per nubi di gocce d' acqua
% rispetto al rain rate
nrain =50;
pam =1; %pam: 0 if no costeta data to be given, 1 if they are needed
figure(6)
Mie_rain3(fGHz, TK, nrain, pam, distribution)

% Coefficienti di propagazione di Mie per nubi di gocce d' acqua
% rispetto alla frequenza
R =10;
fmin =0.1;
fmax =300;
nfreq =50;
figure(7)
Mie_rain4(R, TK, fmin, fmax, nfreq, distribution)

% Coefficienti di propagazione di Mie per nubi di gocce d' acqua
% rispetto alla temperatura
nT =30; dT=1;
R =10;
figure(8)
Mie_rain5(fGHz, R, nT, dT, distribution)