function result = plotdistributions(R,dmax,Dmax)

% Plot of rain and cloud distribution functions
% R: Rain rate in mm/h, 
% dmax: max. cloud-droplet diameter in mm
% Dmax: max. rain-droplet diameter in mm
% C. Mtzler, Nov. 2002.

dd=0.003;d=(0.003:dd:dmax)';
x0=cloudMG(d,99,'CC');
dD=0.01;D=(dD:dD:Dmax)';
x1=rainLP(R,D);
x2=rainMP(R,D);
x3=rainJD(R,D);
x4=rainJT(R,D);
%loglog(d,x0,'c-',D,x1,'r-',D,x2,'b-',D,x3,'g-',D,x4,'k-'), xlabel('D, mm'), ylabel('f(D), 1/mm^4')
semilogy(d,x0,'k-',D,x1,'r-',D,x2,'b-',D,x3,'g-',D,x4,'c-'), xlabel('D, mm'), ylabel('f(D), 1/mm^4')
legend('Cumulus Cong','Laws-Parsons','Marsh-Palm','Joss-Drizzle','Joss-Thunder')

